com.tibbo.aggregate.common.filter.converter

## Class FunctionConverters

- java.lang.Object
- - com.tibbo.aggregate.common.filter.converter.FunctionConverters

-     public class FunctionConverters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionConverters()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataRecord` | `contains(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `endsWith(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `includedIn(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `isNotNull(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `isNull(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `lastDays(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `lastHours(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `lastMonths(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `lastWeeks(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `lastYears(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `nextDays(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `nextHours(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `nextMonths(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `nextWeeks(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `nextYears(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `on(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `onAfter(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `onBefore(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `startWith(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `thisHour(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `thisMonth(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `thisWeek(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `thisYear(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `today(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `tomorrow(Expression expression, DataRecord dataRecord)`
    `static DataRecord` | `yesterday(Expression expression, DataRecord dataRecord)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionConverters

          public FunctionConverters()

  - ### Method Detail

    - #### contains

          public static DataRecord contains(Expression expression,
                                            DataRecord dataRecord)

    - #### startWith

          public static DataRecord startWith(Expression expression,
                                             DataRecord dataRecord)

    - #### endsWith

          public static DataRecord endsWith(Expression expression,
                                            DataRecord dataRecord)

    - #### onAfter

          public static DataRecord onAfter(Expression expression,
                                           DataRecord dataRecord)

    - #### onBefore

          public static DataRecord onBefore(Expression expression,
                                            DataRecord dataRecord)

    - #### on

          public static DataRecord on(Expression expression,
                                      DataRecord dataRecord)

    - #### thisHour

          public static DataRecord thisHour(Expression expression,
                                            DataRecord dataRecord)

    - #### yesterday

          public static DataRecord yesterday(Expression expression,
                                             DataRecord dataRecord)

    - #### today

          public static DataRecord today(Expression expression,
                                         DataRecord dataRecord)

    - #### tomorrow

          public static DataRecord tomorrow(Expression expression,
                                            DataRecord dataRecord)

    - #### thisWeek

          public static DataRecord thisWeek(Expression expression,
                                            DataRecord dataRecord)

    - #### thisMonth

          public static DataRecord thisMonth(Expression expression,
                                             DataRecord dataRecord)

    - #### thisYear

          public static DataRecord thisYear(Expression expression,
                                            DataRecord dataRecord)

    - #### lastHours

          public static DataRecord lastHours(Expression expression,
                                             DataRecord dataRecord)

    - #### nextHours

          public static DataRecord nextHours(Expression expression,
                                             DataRecord dataRecord)

    - #### lastDays

          public static DataRecord lastDays(Expression expression,
                                            DataRecord dataRecord)

    - #### nextDays

          public static DataRecord nextDays(Expression expression,
                                            DataRecord dataRecord)

    - #### lastWeeks

          public static DataRecord lastWeeks(Expression expression,
                                             DataRecord dataRecord)

    - #### nextWeeks

          public static DataRecord nextWeeks(Expression expression,
                                             DataRecord dataRecord)

    - #### lastMonths

          public static DataRecord lastMonths(Expression expression,
                                              DataRecord dataRecord)

    - #### nextMonths

          public static DataRecord nextMonths(Expression expression,
                                              DataRecord dataRecord)

    - #### lastYears

          public static DataRecord lastYears(Expression expression,
                                             DataRecord dataRecord)

    - #### nextYears

          public static DataRecord nextYears(Expression expression,
                                             DataRecord dataRecord)

    - #### isNull

          public static DataRecord isNull(Expression expression,
                                          DataRecord dataRecord)

    - #### isNotNull

          public static DataRecord isNotNull(Expression expression,
                                             DataRecord dataRecord)

    - #### includedIn

          public static DataRecord includedIn(Expression expression,
                                              DataRecord dataRecord)